[arch-commits] CVS update of extra/network/wlan-ng26-suspend2 (2 files)

daniel at archlinux.org daniel at archlinux.org
Tue Aug 21 12:58:07 EDT 2007


    Date: Tuesday, August 21, 2007 @ 12:58:07
  Author: daniel
    Path: /home/cvs-extra/extra/network/wlan-ng26-suspend2

Modified: PKGBUILD (1.5 -> 1.6) wlan-ng26.install (1.3 -> 1.4)

update to 2.6.22


-------------------+
 PKGBUILD          |   12 +++++++-----
 wlan-ng26.install |    4 ++--
 2 files changed, 9 insertions(+), 7 deletions(-)


Index: extra/network/wlan-ng26-suspend2/PKGBUILD
diff -u extra/network/wlan-ng26-suspend2/PKGBUILD:1.5 extra/network/wlan-ng26-suspend2/PKGBUILD:1.6
--- extra/network/wlan-ng26-suspend2/PKGBUILD:1.5	Sun May 27 10:23:44 2007
+++ extra/network/wlan-ng26-suspend2/PKGBUILD	Tue Aug 21 12:58:07 2007
@@ -1,19 +1,20 @@
-# $Id: PKGBUILD,v 1.5 2007/05/27 14:23:44 tom Exp $
+# $Id: PKGBUILD,v 1.6 2007/08/21 16:58:07 daniel Exp $
 # Maintainer: Tom Killian <tom at archlinux.org>
 
 pkgname=wlan-ng26-suspend2
 pkgver=0.2.8
-pkgrel=1
-_kernver=2.6.21-suspend2
+pkgrel=2
+_kernver=2.6.22-suspend2
 pkgdesc="Wireless Lan usb modules. For kernel26suspend2."
 arch=(i686 x86_64)
 depends=('kernel26suspend2' 'wlan-ng26-utils')
-source=(ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-$pkgver.tar.bz2)
+source=(ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-$pkgver.tar.bz2 kernel-2.6.22-r1832.patch)
 url="ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/"
 install=wlan-ng26.install
 
 build() {
   cd $startdir/src/linux-wlan-ng-$pkgver
+  patch -Np1 -i ../kernel-2.6.22-r1832.patch || return 1
   # only built usb modules the rest is covered by hostap and orinoco driver, according to gentoo changelog 
   sed -i "s#PRISM2_PCMCIA=y#PRISM2_PCMCIA=n#;s#TARGET_ROOT_ON_HOST=#TARGET_ROOT_ON_HOST=$startdir/pkg#;s#PRISM2_PLX=y#PRISM2_PLX=n#;s#PRISM2_PCI=y#PRISM2_PCI=n#;s#PRISM2_USB=n#PRISM2_USB=y#;s%#LINUX_SRC=/usr/src/linux%LINUX_SRC=/lib/modules/${_kernver}/build%" config.in
   make auto_config
@@ -26,4 +27,5 @@
   mv $startdir/pkg/lib/modules/${_kernver}/linux-wlan-ng \
      $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/wireless
 }
-md5sums=('5d86ca7bb4ed458743acd922ff09dae6')
+md5sums=('5d86ca7bb4ed458743acd922ff09dae6'
+         '1696441de62db35d9385f15ee2dfb5a7')
Index: extra/network/wlan-ng26-suspend2/wlan-ng26.install
diff -u extra/network/wlan-ng26-suspend2/wlan-ng26.install:1.3 extra/network/wlan-ng26-suspend2/wlan-ng26.install:1.4
--- extra/network/wlan-ng26-suspend2/wlan-ng26.install:1.3	Tue May  8 17:45:18 2007
+++ extra/network/wlan-ng26-suspend2/wlan-ng26.install	Tue Aug 21 12:58:07 2007
@@ -8,7 +8,7 @@
 post_upgrade() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.21-suspend2
+  KERNEL_VERSION=2.6.22-suspend2
   depmod -v $KERNEL_VERSION  > /dev/null 2>&1
 }
 
@@ -21,7 +21,7 @@
 post_remove() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.21-suspend2
+  KERNEL_VERSION=2.6.22-suspend2
   depmod -v $KERNEL_VERSION  > /dev/null 2>&1
 }
 




More information about the arch-commits mailing list